Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)

Xiaohongshu App V2: Get user posted notes

/api/v1/xiaohongshu/app_v2/get_user_posted_notessync$0.015 / call

Get list of notes posted by a specified user, using cursor pagination (TikHub · Xiaohongshu App V2)

Input
  • user_idstring

    User ID (default "")

  • share_textstring

    xhslink.com / xhslink.cn / Share link, supports xiaohongshu.com, xhslink.com, xhslink.cn (default "")

  • cursorstring

    Pagination cursor, leave empty for first request (default "")

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/get_user_posted_notes","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.